import javax.microedition.lcdui.*;

public class ConfirmDeleteForm extends Form implements CommandListener  { 
    ContentList list;
    int         index;

    ConfirmDeleteForm(ContentList list, int index) { 
        super(Locale.CONFIRM_DELETE);
        this.list = list;
        this.index = index;
        append(Locale.ARE_YOU_SURE);
        setCommandListener(this);
        addCommand(Cryptex.REMOVE_CMD);
        addCommand(Cryptex.BACK_CMD);
        Display.getDisplay(list.cryptex).setCurrent(this);        
    }

    public void commandAction(Command c, Displayable d) {
        if (c == Cryptex.BACK_CMD) { 
            Display.getDisplay(list.cryptex).setCurrent(list);
        } else { 
            list.cryptex.deleteRecord(index);
            list.delete(index);
            Display.getDisplay(list.cryptex).setCurrent(list);
        }
    }
}    

