import javax.microedition.lcdui.*;

public class EditDataForm extends Form implements CommandListener  { 
    ContentList list;
    TextField   key;
    TextField   value;
    int         index;

    EditDataForm(ContentList list, int index) { 
        super(Locale.EDIT_DATA);
        this.list = list;
        this.index = index;
        Record rec = (Record)list.cryptex.content.elementAt(index);
        key = new TextField(Locale.KEY, rec.key, AddDataForm.MAX_KEY_LENGTH, TextField.ANY);
        append(key);
        value = new TextField(Locale.VALUE, rec.value, AddDataForm.MAX_VALUE_LENGTH, TextField.ANY);
        append(value);
        setCommandListener(this);
        addCommand(Cryptex.UPDATE_CMD);
        addCommand(Cryptex.BACK_CMD);
        Display.getDisplay(list.cryptex).setCurrent(this);        
    }

    public void commandAction(Command c, Displayable d) {
        if (c == Cryptex.BACK_CMD) { 
            Display.getDisplay(list.cryptex).setCurrent(list);
        } else { 
            if (key.getString().length() == 0) { 
                list.cryptex.error(Locale.EMPTY_KEY);
            } else { 
                list.cryptex.updateRecord(index, key.getString(), value.getString());
                list.set(index, key.getString(), null);
                Display.getDisplay(list.cryptex).setCurrent(list);
            }
        }
    }
}    

