import javax.microedition.lcdui.*;

public class EnterPasswordForm extends Form implements CommandListener  { 
    Cryptex   cryptex;
    TextField password;

    static final int MAX_PASSWORD_LENGTH = 256;

    EnterPasswordForm(Cryptex cryptex, Record question) { 
        super(Locale.ENTER_PASSWORD);
        this.cryptex = cryptex;
        password = new TextField(question.key + "?", null, MAX_PASSWORD_LENGTH, 
                                 question.value.equals(Cryptex.ONLY_DIGITS) ? TextField.NUMERIC : TextField.ANY);
        append(password);
        setCommandListener(this);
        addCommand(Cryptex.ENTER_CMD);
        addCommand(Cryptex.QUIT_CMD);
        Display.getDisplay(cryptex).setCurrent(this);        
    }

    public void commandAction(Command c, Displayable d) {
        if (c == Cryptex.QUIT_CMD) { 
            cryptex.quit();
        } else { 
            cryptex.coder = new Rc4(password.getString());
            cryptex.loadData();
            new ContentList(cryptex);
        }
    }
}    
