import javax.microedition.lcdui.*;

public class AddDataForm extends Form implements CommandListener  { 
    ContentList list;
    TextField   key;
    TextField   value;

    static final int MAX_KEY_LENGTH = 256;
    static final int MAX_VALUE_LENGTH = 1024;

    AddDataForm(ContentList list) { 
        super(Locale.ADD_DATA);
        this.list = list;
        key = new TextField(Locale.KEY, null, MAX_KEY_LENGTH, TextField.ANY);
        append(key);
        value = new TextField(Locale.VALUE, null, MAX_VALUE_LENGTH, TextField.ANY);
        append(value);
        setCommandListener(this);
        addCommand(Cryptex.ENTER_CMD);
        addCommand(Cryptex.BACK_CMD);
        Display.getDisplay(list.cryptex).setCurrent(this);        
    }

    public void commandAction(Command c, Displayable d) {
        if (c == Cryptex.BACK_CMD) { 
            Display.getDisplay(list.cryptex).setCurrent(list);
        } else { 
            if (key.getString().length() == 0) { 
                list.cryptex.error(Locale.EMPTY_KEY);
            } else { 
                list.cryptex.addRecord(key.getString(), value.getString());
                list.append(key.getString(), null);
                Display.getDisplay(list.cryptex).setCurrent(list);
            }
        }
    }
}    

